明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 164|回复: 0

DBX 修改块名出错,求解救!

[复制链接]
发表于 2018-1-2 20:13 | 显示全部楼层 |阅读模式
public void DrawingPretreatment()//String fileFullName, String curNumber)
         {

             String fileFullName = @"E:\001.dwg";
             String curNumber = "1";
             string progid = "ObjectDBX.AxDbDocument.16";

             AxDbDocument objDbx = (AxDbDocument)acadApp.GetInterfaceObject(progid);

             objDbx.Open(fileFullName, null);

             foreach (AcadEntity entity in objDbx.ModelSpace)
             {
                 switch (entity.EntityName)
                 {
                     case "AcDbBlockReference":
                         AcadBlockReference blkRef;
                         blkRef = (AcadBlockReference)entity;
                         try
                         {
                             blkRef.Name = blkRef.Name + curNumber;//这里出错
                        }
                         catch (Autodesk.AutoCAD.Runtime.Exception ex)
                         {
                             throw new System.Exception(ex.Message);
                         }
                         break;

                     case "AcDbOrdinateDimension":

                         break;
                 }
             }
             objDbx.SaveAs(fileFullName, null);
             objDbx = null;
         }


AutoCAD 2005  & vs2008

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2018-7-20 01:36 , Processed in 0.229258 second(s), 29 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表